Reconnect Trading 212 with stored credentials
curl --request POST \
--url https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect-stored \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect-stored"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect-stored', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"authorization_url": "<string>",
"broker_type": "<string>",
"connection_id": "<string>",
"expires_at": "<string>",
"portfolio_id": "<string>",
"session_id": "<string>",
"success": true,
"sync_status": "<string>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Brokers
Reconnect Trading 212 with stored credentials
Operation ID: post__brokers_connectionId_trading212_reconnect_stored.
POST
https://api.itoflow.ai
/
brokers
/
{connectionId}
/
trading212
/
reconnect-stored
Reconnect Trading 212 with stored credentials
curl --request POST \
--url https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect-stored \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect-stored"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/brokers/{connectionId}/trading212/reconnect-stored', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"authorization_url": "<string>",
"broker_type": "<string>",
"connection_id": "<string>",
"expires_at": "<string>",
"portfolio_id": "<string>",
"session_id": "<string>",
"success": true,
"sync_status": "<string>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}